/*html {*/
/*    !* 750px 的设计图，1rem = 100px *!*/
/*    font-size: calc(1  * 100 * 100vw / 750) !important;*/
/*}*/
/*@media screen and (min-width: 750px) {*/
/*    html {*/
/*        font-size: 100px !important;*/
/*    }*/
/*}*/
.iconfontxiannvzuo{
    font-size:.16rem;
}
/*body{*/
/*    */
/*}*/
body {
    --resize-time:2;

    /*日期*/
    --fontsize:.32rem;
    --small-fontsize:.32rem;
    --lineheight:.60rem;
    --scroll-item-height:0.8rem;
    /*--normal-line-height:64;*/
    /*xntree*/
    --xntree-fontsize:16px;
    --xntree-hover-color:none;

    --border-1px:1px;
    --primary-color:#3B75C5;
    --primary-hover-color:#008CF8;
    --danger-color:#DF332A;
    --danger-hover-color:#E4554E;
    --success-color:#54C09E;
    --success-hover-color:#22B431;
    --warn-color:#FF9D00;
    --warn-hover-color:rgb(255 111 31 / 22%);
    --normal-color:#949494;
    --normal-hover-color:#95908E;
    --normal-hover-light-color:#f2f2f2;
    --normal-shadow:0 .02rem .12rem 0 rgb(0 0 0 / 10%);

    --form-border-color: #efefef;
    --form-border-radius:.02rem;
    --form-desc-color:#888;

    --form-label-color:rgb(130 130 130);

    --hover-background-color:var(--primary-hover-color);
    --hover-background-gray-color:#efefef;
    --hover-color:#fff;
    --active-background-color:var(--primary-color);
    --active-color:#fff;

    --small-font-size:calc(var(--resize-time) * .12rem);
    --small-line-height:calc(var(--resize-time) * 28);
    --small-padding:calc(var(--resize-time) * .08rem);
    --normal-font-size:calc(var(--resize-time) * .14rem);
    --normal-line-height:calc(var(--resize-time) * 32);
    --normal-padding:calc(var(--resize-time) * .1rem);
    --large-font-size:calc(var(--resize-time) * .16rem);
    --large-line-height:calc(var(--resize-time) * 36);
    --large-padding:calc(var(--resize-time) * .12rem);

    --table-header-background:#f5f5f5;
    --table-body-background:#fff;
    --table-border-color:rgba(242, 243, 248, 1);
    --table-header-color:rgba(242, 243, 248, 1);
    --table-padding-top:.1rem;

    --menu-white-color:#333;
    --menu-white-background:#fff;
    --menu-white-active-background:var(--active-background-color);
    --menu-white-active-color:#fff;
    --menu-white-hover-background:#dedede;
    --menu-white-hover-color:#333;

    --menu-white-group-title-color:#333;
    --menu-white-group-title-background:#edf2ff;

    --menu-white-sub-color:#333;
    --menu-white-sub-background:#edf2ff;

    --menu-dark-color:#fff;
    --menu-dark-background:#000;
    --menu-dark-active-background:#fff;
    --menu-dark-active-color:#333;
    --menu-dark-hover-background:#323232;
    --menu-dark-hover-color:#fff;

    --menu-dark-group-title-color:#fff;
    --menu-dark-group-title-background:#282828;

    --menu-dark-sub-color:#fff;
    --menu-dark-sub-background:#282828;

    --menu-group-title-fontsize:.12rem;
    --menuitem-lineheight:.4rem;
    --menuitem-margintopbottom:.08rem;
    --menuitem-font-size:.14rem;
    --menusub-title-fontsize:.14rem;
    --menusub-title-down-color:var(--primary-color);

    --menu-group-background:rgba(242, 243, 245, 1);

    --menu-padding:.17rem;

    --button-border-radius:.04rem;

    /*    下拉滚动*/
    --scroll-item-height:0.8rem;

}
.xn-form-normal,.xn-text-normal{
    font-size: var(--normal-font-size);
    line-height:calc(var(--normal-line-height) * .01rem);
}
.xn-text-normal{
    padding:0 var(--normal-padding);
    line-height:calc(var(--normal-line-height) * .01rem + .02rem);
}
.xn-form-large,.xn-text-large{
    font-size: var(--large-font-size);
    line-height:calc(var(--large-line-height) * .01rem);
}
.xn-text-large{
    padding:0 var(--large-padding);
    line-height:calc(var(--large-line-height) * .01rem + .02rem);
}
.xn-form-small,.xn-text-small{
    font-size:var(--small-font-size);
    line-height:calc(var(--small-line-height) * .01rem);
}
.xn-text-small{
    padding:0 var(--small-padding);
    line-height:calc(var(--small-line-height) * .01rem + .02rem);
}

.xn-form-normal.xn-input input,.xn-form-normal.xn-input .pend{
    line-height:calc(var(--normal-line-height) * .01rem - .02rem);
    height:calc(var(--normal-line-height) * .01rem - .02rem);
}
.xn-form-normal.xn-form-border{
    line-height:calc(var(--normal-line-height) * .01rem - .02rem);
    height:calc(var(--normal-line-height) * .01rem);
}
.xn-form-normal.xn-input .pend{
    height:calc(var(--normal-line-height) * .01rem);
}
.xn-form-large.xn-input input,.xn-form-large.xn-input .pend{
    line-height:calc(var(--large-line-height) * .01rem - .02rem);
    height:calc(var(--large-line-height) * .01rem - .02rem);
}
.xn-form-large.xn-form-border{
    line-height:calc(var(--large-line-height) * .01rem - .02rem);
    height:calc(var(--large-line-height) * .01rem);
}
.xn-form-large.xn-input .pend{
    height:calc(var(--large-line-height) * .01rem);
}
.xn-form-small.xn-input input,.xn-form-small.xn-input .pend{
    line-height:calc(var(--small-line-height) * .01rem - .02rem);
    height:calc(var(--small-line-height) * .01rem - .02rem);
}
.xn-form-small.xn-form-border{
    line-height:calc(var(--small-line-height) * .01rem - .02rem);
    height:calc(var(--small-line-height) * .01rem);
}
.xn-form-small.xn-input .pend{
    height:calc(var(--small-line-height) * .01rem);
}
.xn-button{
    display:flex;
    justify-content: center;
    align-items: center;
}
.xn-button-normal{
    height:calc(var(--normal-line-height) * .01rem);
    padding:0 var(--normal-padding);
    line-height: calc(var(--normal-line-height) * .01rem - .02rem);
}
.xn-button-small{
    height:calc(var(--small-line-height) * .01rem);
    padding:0 var(--small-padding);
    /*line-height: 2;*/
}
.xn-button-large{
    height:calc(var(--large-line-height) * .01rem);
    padding:0 var(--large-padding);
    line-height: calc(var(--large-line-height) * .01rem - .02rem);
}
.xn-input .pend{
    white-space: nowrap;
    padding: 0 .08rem;
    border: .01rem solid var(--form-border-color);
    background: var(--normal-hover-light-color);
}
.xn-form-item>.item-cont{
    display: flex;
    margin-bottom:.10rem;
}
.xn-form-item>div{
    position: relative;
    /*width:240rem;*/
}
.xn-form-item .label{
    margin-right: .10rem;
    text-align: right;
    display:flex;
    justify-content: end;
}
.xn-form-item .top{
    flex-flow: column;
    align-self: baseline;
}
.xn-form-item .top>.label{
    text-align: left;
    justify-content: start;
}
.xn-form-item .left>.label{
    text-align: left;
    justify-content: start;
}
.xn-popover{
    position: absolute;
}


/*图标*/
.iconfontxiannvzuo.xn-icon{
    /*font-size:12rem !important;*/
    color: #888;
    transition:all 0.1s;
    font-size: calc(var(--resize-time) * .14rem);
}
.xn-icon-end{
    position: absolute;
    right: .08rem;
}
.iconfontxiannvzuo.xn-icon-large{
    font-size: var(--large-font-size);
}
.icon-up-down{
    transform:rotateZ(180deg);
    -webkit-transform-origin: center;
    -moz-transform-origin: center;
    -ms-transform-origin: center;
    -o-transform-origin: center;
    transform-origin: center;
}

/*全局*/
.clickable{
    cursor: pointer;
}
.flex-justify-center{
    justify-content: center;
}
.flex-justify-right{
    justify-content: flex-end;
}
.flex-justify-left{
    justify-content: flex-start;
}
.flex-justify-between{
    justify-content: space-between;
}
.flex-justify-around{
    justify-content: space-around;
}
.align-items-top{
    align-items: start;
}
.align-items-bottom{
    align-items: end;
}
.align-items-center{
    align-items: center;
}

/*modal*/
.xn-modal{
    position: fixed;
    top:0;
    left: 0;
    width:100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.xn-modal .xn-container{
    background: #fff;
    border-radius:.02rem;
    width:6rem;
}
.xn-container .xn-header{
    height:.80rem;
    line-height: .80rem;
    border-bottom:.01rem solid #eee;
    padding:0 .20rem;
}
.xn-container .xn-body{
    padding:.40rem;
}
.xn-container .xn-footer{
    border-top: .01rem solid #eee;
    padding: .06rem .20rem;
    align-items: center;
}
.xn-layout-verticle{
    display: grid;
    grid-auto-flow: column;
}
body h2{
    font-size: .30rem;
    font-weight: bold;
    text-align: center;
    line-height: 1.7;
}
body h3{
    font-size: .26rem;
    font-weight: bold;
    text-align: center;
    line-height: 1.7;
}
body h4{
    font-size: .22rem;
    font-weight: bold;
    text-align: center;
    line-height: 1.7;
}
body h5{
    font-size: .18rem;
    line-height: 1.5;
    /*font-weight: bold;*/
}
body p{
    font-size:.32rem;
    /*line-height:1.3;*/
}

